package microfolie.entry.rest;

import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

import org.json.JSONArray;

import microfolie.service.EspaceService;
import microfolie.service.dto.EspaceDTO;
import microfolie.utils.JsonUtils;

@Path("/espace")
@Produces("application/json")
public class EspaceController {
	
	private EspaceService service = EspaceService.getInstance();
	
	@GET
	@Path("/list/all")
	public String listAll() {
		List<EspaceDTO> espaces = service.getAll();
		JSONArray data = new JSONArray(espaces);
		return JsonUtils.success(data).toString();
	}

}
